# $Revision: 1.49 $, $Date: 2012/02/09 18:55:09 $
Summary:	X based image viewer for darned near all images
Summary(de.UTF-8):	X-basierender Bild-Viewer für praktische sämtliche Grafiken
Summary(es.UTF-8):	Visualizador de imágenes para X para cuasi todos los formatos de imágenes
Summary(fr.UTF-8):	Visualisateur sous X pour quasiment tous les types d'images
Summary(pl.UTF-8):	Przeglądarka różnego rodzaju plików graficznych pracująca w X Window
Summary(pt_BR.UTF-8):	Visualizador de imagens para X para quase todos os formatos de imagens
Summary(ru.UTF-8):	Программа для просмотра и преобразования файлов изображений для X
Summary(tr.UTF-8):	X tabanlı resim görüntüleyici
Summary(uk.UTF-8):	Програма для перегляду та перетворення файлів зображень для X
Name:		xv
Version:	3.10a
Release:	37
License:	Shareware
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
# Source0-md5:	2d4fbeec1561304362781cc8e2f7f72d
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
# Source1-md5:	c8cbe14db6e2104ed4eb5330cdaba420
Source2:	%{name}man310a-html.tar.gz
# Source2-md5:	78dce344e3e85faf01e1f13014aa659b
Source3:	%{name}.desktop
Source4:	%{name}.png
Source5:	%{name}-non-english-Xman-pages.tar.bz2
# Source5-md5:	4e5a6582ad76974309ca8bf8fb56b671
Source6:	http://dl.sourceforge.net/project/png-mng/XV%20jumbo%20patches/20070520/%{name}-%{version}-jumbo-patches-20070520.tar.gz
# Source6-md5:	9fb2d0ec320498105cafeba38a588472
Patch0:		%{name}-PLD.patch
#from http://www.gregroelofs.com/code/%{name}-3.10a-enhancements.20070520-20081216.diff
Patch1:		%{name}-3.10a-enhancements.20070520-20081216.diff
Patch2:		%{name}-libpng-1.5.patch
URL:		http://www.trilon.com/xv/xv.html
BuildRequires:	jasper-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the famous 'xv' by John Bradley. It is shareware, but we ship
it with the permission of the authors. It is a graphics viewer for
many file types, including gif, jpg, tiff, xwd, etc. It also has
manipulation features such as cropping, expanding, etc. Patched to
include flmask, a popular feature in Japan.

%description -l de.UTF-8
Dies ist das berühmte 'xv' von John Bradley, ein Shareware- Programm,
das wir mit Erlaubnis des Autors liefern. Es ist ein Grafik-Viewer für
diverse Dateitypen, einschließlich gif, funktionen wie Trimmen,
Strecken u.ä. Mit flmask.

%description -l es.UTF-8
Este es el famoso 'xv' de John Bradley. Es shareware, pero nosotros lo
distribuimos con la permisión de los autores. Es un visor gráfico para
varios tipos de archivos, incluyendo gif, jpg, tiff, xwd, etc. También
posee características de manejo como corte, expansión, etc.

%description -l fr.UTF-8
Le célébre xv de John Bradley. C'est shareware, mais nous le
distribuons avec la permission de l'auteur. C'est un visualiseur
graphique pour de nombreux formats de fichier dont gif, jpg, tiff,
xwd, etc. Il offre aussi des fonctionnalités comme la capture,
l'extension, la retouche de palette, etc. Flmask.

%description -l pl.UTF-8
Słynne 'xv' Johna Bradleya. Jest to program shareware, ale
udostępniamy go za zgodą autora. Jest to przeglądarka plików
graficznych w różnych formatach, takich jak: gif, jpg, tiff, xwd i
innych. Ma też proste możliwości obróbki obrazków, takie jak obcinanie
czy rozszerzanie. Zawiera obsługę flmask.

%description -l pt_BR.UTF-8
Este é o famoso 'xv' de John Bradley. Ele é shareware, mas nós o
distribuimos com a permissão dos autores. É um visualizador gráfico
para vários tipos de arquivos, incluindo gif, jpg, tiff, xwd, etc.
Também possui características de manipulação como corte, expansão,
etc.

%description -l ru.UTF-8
Xv - это программа для просмотра и преобразования изображений для X
Window System. Xv умеет показывать GIF, JPEG, TIFF, PBM, PPM, PDF, X11
bitmap, Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX,
IRIS RGB, XPM, Targa, XWD, PostScript(TM) и PM. Xv также умеет делать
простую обработку изображений - cropping, expanding, снимки экрана и
т.п.

%description -l tr.UTF-8
xv başta PNG, GIF, JPG, BMP, XBM, XPM olmak üzere birçok resim
dosyasını görüntüleyebilir, değişik formatlarda kaydedebilir ve
üzerinde boyutlandırma, renk değiştirme gibi bazı temel işlemleri
yapabilir. Çok detaylı işlemler yapamamasına rağmen temel resim
işlemlerinde öncellikle kullanılabilecek, kullanışlı arayüzüne sahip
bir programdır. Flmask.

%description -l uk.UTF-8
Xv - це програма для перегляду та перетворення зображень для X Window
System. Xv вміє показувати GIF, JPEG, TIFF, PBM, PPM, PDF, X11 bitmap,
Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS
RGB, XPM, Targa, XWD, PostScript(TM) та PM. Xv також вміє робити
просту обробку зображень - cropping, expanding, знімки экрану і т.і.

%prep
%setup -q -a1 -a6 -a2
cp -a xv-%{version}/* .
patch -p1 < ./xv-3.10a-jumbo-fix-enh-patch-20070520.txt || exit 1
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CCOPTS="%{rpmcppflags} %{rpmcflags} `pkg-config --cflags libpng12 2>/dev/null`" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	DOCDIR=$RPM_BUILD_ROOT%{_docdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README BUGS CHANGELOG IDEAS
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/xv.desktop
%{_pixmapsdir}/*
%doc README.jumbo
%doc docs/xvdocs.pdf
%doc docs/xvdocs.ps
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xv.spec,v $
Revision 1.49  2012/02/09 18:55:09  baggins
- rel 37
- fix building with libpng 1.5, from openbsd

Revision 1.48  2012/02/07 22:09:14  arekm
- release 36

Revision 1.47  2012/01/14 07:01:55  arekm
- release 35

Revision 1.46  2012/01/13 14:51:08  arekm
- release 34

Revision 1.45  2011/12/20 19:38:15  arekm
- release 33

Revision 1.44  2010/06/11 22:27:14  pawelz
- don't install files directly to %_docdir

Revision 1.43  2010/02/02 07:33:26  amateja
- do not use resources from network on builders

Revision 1.42  2010/01/15 18:10:21  arekm
- rework setup

Revision 1.41  2010/01/15 18:04:04  evil
- removed all current patches
- added one big jumbopatch (and patch for it)
- reworked PLD patch to apply against jumbopatched xv

Revision 1.40  2009/07/12 03:31:24  arekm
- release 31

Revision 1.39  2009/05/05 09:30:07  baggins
- rel 30
- fixed stupidities in desktop file

Revision 1.38  2008/07/27 23:03:42  arekm
- release 29

Revision 1.37  2008-02-02 19:48:36  shadzik
- BR: xorg-lib-libXt-devel
- pionted out by Andrzej Nakonieczny <anakonieczny dot pld-devel-pl at e-list.pingwin.eu dot org>

Revision 1.36  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.34  2006/10/18 21:55:54  qboosh
- updated PLD patch, switched to modular xorg
- added c patch (needed for gcc 4)
- release 28

Revision 1.33  2004/11/10 19:52:18  ankry
- ven -> ve in desktop, rel. 27

Revision 1.32  2004/10/30 10:29:07  qboosh
- pl fixes

Revision 1.31  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.30  2004/07/22 11:01:34  ankry
- fixed desktop, rel. 26

Revision 1.29  2004/07/04 21:44:28  adamg
- release 25

Revision 1.28  2004/07/04 21:29:26  adamg
- pass CC, an attempt to fix build on amd64

Revision 1.27  2004/07/04 20:04:10  adamg
- release 24 (fixed desktop file)

Revision 1.26  2003/12/08 21:41:17  grzegol
- _applnkdir -> _desktopdir; rel. 23

Revision 1.25  2003/05/28 13:03:15  malekith
- massive attack: source-md5

Revision 1.24  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 06:28:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/02/26 16:08:19  t0tal
- added libtiff-devel, libpng-devel, libjpeg-devel to build requires

Revision 1.21  2003/01/18 22:59:38  juandon
- removed two lines with define

Revision 1.20  2002/10/28 06:54:17  kloczek
- release 21: merge trakslations from KSI and use new %doc.

Revision 1.19  2002/04/28 13:32:40  qboosh
- libpng 1.2.2 support

Revision 1.18  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/23 14:51:03  kloczek
- s/Copyright/License/

Revision 1.14  2001/11/21 02:41:44  kloczek
- added png Icon for desktop file.

Revision 1.13  2001/11/21 01:56:44  kloczek
- merged translations stolen from CNV and adapterized spec.

Revision 1.12  2001/11/20 23:51:17  ankry
- added fi, pl man page
- release 20

Revision 1.11  2001/04/06 16:04:54  qboosh
- moved html documentation from /home/httpd/html/ to %%doc
- spec adapterized, use %%rpmcflags - %%debug ready now
- release 19

Revision 1.10  2000/07/15 00:00:31  kloczek
- release 18.

Revision 1.9  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.6  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/01/23 22:56:07  kloczek
- release 17,
- desktop file with moe translations,
- spec adapter(ized).

Revision 1.4  1999/11/11 18:47:34  kura
- added pl translations
- added Group(pl)
- 'install -d' is called only once

Revision 1.3  1999/10/17 23:29:35  kloczek
- removed bos make install from %install.

Revision 1.2  1999/10/17 22:55:34  kloczek
- release 16,
- cosmetics.

Revision 1.1  1999/10/15 15:54:02  baggins
- first version

